/*
 * Task 11:
 * 
 * complete the following method to meet the 
 * indicated specification
 */

package task11;

public class ArrayConcat {
	
	// the method arrayConcat gets an array of arrays of integers as
	// argument. It returns an array of integers, which contains
	// all fields of all argument arrays, in the given order. It should
	// not have more fields than necessary.
	// Example: If the argument array is {{1,2,3},{4,5,6}}, then
	// the result array should be {1,2,3,4,5,6}

	static int[] arrayConcat(int [][] argArrays) {
		int targetSize = 0;
		for (int [] a: argArrays) targetSize += a.length;
		int [] targetArray = new int[targetSize];
		int i = 0;
		for (int [] a: argArrays) 
			for (int j=0; j < a.length; j++)
				targetArray[i++] = a[j];
		return targetArray;
	}
	
}
